SCATPLT_CREATE_SMART_CURSOR(3)

EXPERIMENTAL_FUNC
scatplt_create_smart_cursor - Create a smart cursor.

SYNOPSIS
#include <karma_scatplt.h>

void scatplt_create_smart_cursor

(KWorldCanvas canvas, double search_radius, flag (*func) (), void *info)

DESCRIPTION
Create a smart cursor.

canvas
    The world canvas.

search_radius
    The maximum search radius. Points further from the search position will be ignored.

func
    The function that is called when the plot is destroyed. The prototype function is <-scatplt_PROTO_cursor_func->.

info
    The arbitrary function information pointer.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/